/* trigclass.cc

   definitions for toy trig class

   Anne Shepherd
   W&M 8/00

*/

#include "trigclass.h"

//public:

trigclass::trigclass(double x) : _x(x)
{   
}
    
void trigclass::Sin_fcn(long vars, Vector<double> &v, double & f)
{
  if (vars != 1) {
      cerr << "\nError: Dimension must be 1!!\n";
      exit(1);
  }
  f = mySin(v);
  return;
}

void trigclass::Cos_fcn(long vars, Vector<double> &v, double & f)
{
  if (vars != 1) {
      cerr << "\nError: Dimension must be 1!!\n";
      exit(1);
  }
  f = myCos(v);
  return;
}
    
void trigclass::Set_x_val(double new_x)
{
    _x = new_x;
}

//private:

double trigclass::mySin(Vector<double> & vec1)
{
    double scalar = vec1.begin()[0];
    return sin(scalar);
}

double trigclass::myCos(Vector<double> & vec2) 
{
    double scalar = vec2.begin()[0];
    return cos(scalar);
}   




